    # File lib/merb-core/dispatch/router/behavior.rb, line 394
          def options(opts = {}, &block)
            options = @options.dup

            opts.each_pair do |key, value|
              options[key] = (options[key] || []) + [value.freeze] if value
            end

            behavior = Behavior.new(@proxy, @conditions, @params, @defaults, @identifiers, options, @blocks)
            with_behavior_context(behavior, &block)
          end